/*
 * $Id: RandomKeyGenerator.java,v 1.4 2006/02/06 15:32:50 rampil Exp $
 * Copyright (c) 2005 LOGICAL-PARADOX.ORG
 */
package org.logical_paradox.rss.util;

/**
 * RandomKeyGenerator
 * ランダムなキーを生成するためのユーティリティクラス
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.4 $
 */
public class RandomKeyGenerator {
	/**
	 * ユニークキーを生成して返す
	 * @return ユニークキーを返す(32文字)
	 */
	public static String getUniqKey() {
		return getUniqKey(32);
	}
	/**
	 * ユニークキーを生成して返す
	 * @param len 長さ
	 * @return ユニークキー
	 */
	public static String getUniqKey(int len) {
		String characters = "123456789ABCDEFGHIJKLMNPQRSTUVWXYZ";
		StringBuffer uk = new StringBuffer(len);
		for(int i = 0; i < len; i++) {
			int p = (int)(Math.random() * characters.length());
			char c = characters.charAt(p);
			uk.append(c);
		}

		return uk.toString();
	}
}

// end of RandomKeyGenerator.java
